/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * @author obper
 */
@Entity
public class ConsultaKardex implements Serializable {
    @Id
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "nombre_consultor")
    private String nombreConsultor;
    @Column(name = "territorio")
    private String terriorio;
    @Column(name = "abono_fecha")
    private String abonoFecha;
    @Column(name = "documento")
    private String documento;
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Column(name = "factura_abonada")
    private String facturaAbonada;
    @Column(name = "cargo_valor")
    private String cargoValor;
    @Column(name = "detalle_abono_cantidad")
    private String detalleAbonoCantidad;
    @Column(name = "abono_fecha_valor")
    private String abonoFechaValor;
    @Column(name = "resta")
    private String resta;
    @Column(name = "cargo_total")
    private String cargoTotal;
    @Column(name = "abono_total")
    private String abonoTotal;
    @Column(name = "total")
    private String total;
    @Column(name = "dias")
    private String dias;

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getNombreConsultor() {
        return nombreConsultor;
    }

    public void setNombreConsultor(String nombreConsultor) {
        this.nombreConsultor = nombreConsultor;
    }

    public String getTerriorio() {
        return terriorio;
    }

    public void setTerriorio(String terriorio) {
        this.terriorio = terriorio;
    }

    public String getAbonoFecha() {
        return abonoFecha;
    }

    public void setAbonoFecha(String abonoFecha) {
        this.abonoFecha = abonoFecha;
    }

    public String getDocumento() {
        return documento;
    }

    public void setDocumento(String documento) {
        this.documento = documento;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaAbonada() {
        return facturaAbonada;
    }

    public void setFacturaAbonada(String facturaAbonada) {
        this.facturaAbonada = facturaAbonada;
    }

    public String getCargoValor() {
        return cargoValor;
    }

    public void setCargoValor(String cargoValor) {
        this.cargoValor = cargoValor;
    }

    public String getDetalleAbonoCantidad() {
        return detalleAbonoCantidad;
    }

    public void setDetalleAbonoCantidad(String detalleAbonoCantidad) {
        this.detalleAbonoCantidad = detalleAbonoCantidad;
    }

    public String getAbonoFechaValor() {
        return abonoFechaValor;
    }

    public void setAbonoFechaValor(String abonoFechaValor) {
        this.abonoFechaValor = abonoFechaValor;
    }

    public String getResta() {
        return resta;
    }

    public void setResta(String resta) {
        this.resta = resta;
    }

    public String getCargoTotal() {
        return cargoTotal;
    }

    public void setCargoTotal(String cargoTotal) {
        this.cargoTotal = cargoTotal;
    }

    public String getAbonoTotal() {
        return abonoTotal;
    }

    public void setAbonoTotal(String abonoTotal) {
        this.abonoTotal = abonoTotal;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getDias() {
        return dias;
    }

    public void setDias(String dias) {
        this.dias = dias;
    }

    public ConsultaKardex() {
    }


}
